import { C as Connection } from './index.js';

class Log {
    constructor(connection) {
        this.connection = connection;
    }
    async list(merchants) {
        return this.connection.get("monitor/log" + (merchants ? "?merchants=" + merchants : ""));
    }
    static open(url, key) {
        const connection = Connection.open(url, key);
        return connection && new Log(connection);
    }
}

export { Log };
